summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/isight-firmware-tools/README11
-rw-r--r--system/isight-firmware-tools/doinst.sh5
-rw-r--r--system/isight-firmware-tools/isight-firmware-tools.SlackBuild110
-rw-r--r--system/isight-firmware-tools/isight-firmware-tools.info10
-rw-r--r--system/isight-firmware-tools/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/system/isight-firmware-tools/README b/system/isight-firmware-tools/README
new file mode 100644
index 0000000000..10bd0aafe5
--- /dev/null
+++ b/system/isight-firmware-tools/README
@@ -0,0 +1,11 @@
+isight-firmware-tools (utilities to axtract isight firmware from Apple driver
+ for use with Linux kernel)
+
+This project provide tools to manipulate firmware for Built-in iSight
+found on Apple machine since iMac G5 iSight (November 2005).
+Those tools are based on the work from Ronald S. Bultje and are
+licensed under the term of the GPLv2 or later. There are currently
+(2010) maintained by Étienne Bersac.
+
+See https://launchpad.net/isight-firmware-tools/ for bugs, code and
+more information.
diff --git a/system/isight-firmware-tools/doinst.sh b/system/isight-firmware-tools/doinst.sh
new file mode 100644
index 0000000000..428850082b
--- /dev/null
+++ b/system/isight-firmware-tools/doinst.sh
@@ -0,0 +1,5 @@
+if [ -x usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/ift-export.info.gz 2> /dev/null
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/ift-extract.info.gz 2> /dev/null
+fi
+
diff --git a/system/isight-firmware-tools/isight-firmware-tools.SlackBuild b/system/isight-firmware-tools/isight-firmware-tools.SlackBuild
new file mode 100644
index 0000000000..378bc317ad
--- /dev/null
+++ b/system/isight-firmware-tools/isight-firmware-tools.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for isight-firmware-tools
+
+# Copyright 2013 Stu Reedy Lexington, Kentucky, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=isight-firmware-tools
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog HOWTO INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/isight-firmware-tools/isight-firmware-tools.info b/system/isight-firmware-tools/isight-firmware-tools.info
new file mode 100644
index 0000000000..9f4be0b149
--- /dev/null
+++ b/system/isight-firmware-tools/isight-firmware-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="isight-firmware-tools"
+VERSION="1.6"
+HOMEPAGE="http://bersace03.free.fr/ift/"
+DOWNLOAD="https://launchpad.net/isight-firmware-tools/main/1.6/+download/isight-firmware-tools-1.6.tar.gz"
+MD5SUM="d2823c083dc0ef8a589ba3f84b8e9167"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Stu Reedy"
+EMAIL="stureedy@smapcop.net"
diff --git a/system/isight-firmware-tools/slack-desc b/system/isight-firmware-tools/slack-desc
new file mode 100644
index 0000000000..03a6e2dd20
--- /dev/null
+++ b/system/isight-firmware-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+isight-firmware-tools: isight-firmware-tools (extract isight firmware)
+isight-firmware-tools:
+isight-firmware-tools: This project provides tools to manipulate firmware for Built-in iSight
+isight-firmware-tools: found on Apple machine since iMac G5 iSight (November 2005).
+isight-firmware-tools: Those tools are based on the work from Ronald S. Bultje and are
+isight-firmware-tools: licensed under the term of the GPLv2 or later. There are currently
+isight-firmware-tools: (2010) maintained by Étienne Bersac.
+isight-firmware-tools:
+isight-firmware-tools: See https://launchpad.net/isight-firmware-tools/ for bugs, code and
+isight-firmware-tools: more information.
+isight-firmware-tools: